<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
        rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
        crossorigin="anonymous">    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .row div{
            background-color: lightgray;
            border: 2px solid black;
            border-collapse: collapse;
        }
        body>div{
            background-color: goldenrod;
        }
    </style>
</head>
    <body>
        <div	class="container">
            <div	class="row	justify-content-md-center">
                    <div	class="col	col-lg-2">1	of	3</div>
                    <div	class="col-md-auto">Variable	width	content</div>
                    <div	class="col	col-lg-2">3	of	3</div>
            </div>
            <div	class="row">
                    <div	class="col">1	of	3</div>
                    <div	class="col-md-auto">Variable	width	content</div>
                    <div	class="col	col-lg-2">3	of	3</div>
            </div>
    </div>
    
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
            crossorigin="anonymous">
        </script>
    </body>
</html>